package com.dafreitag.app.states;

import com.dafreitag.app.machine.AppState;
import com.dafreitag.app.machine.AppMachine;
import com.dafreitag.game.machine.GameMachine;
import javafx.application.Application;
import javafx.stage.Stage;

public class AppGameState extends Application implements AppState {
    AppMachine appMachine;
    GameMachine gameMachine;

    public AppGameState (AppMachine appMachine) {
        this.appMachine = appMachine;
    }

    @Override // Override the start method in the Application class
    public void start(Stage stage) {
        gameMachine = new GameMachine();
        gameMachine.start(stage);
    }

    public void displayTitleScreen(Stage stage) {
        System.out.println("Display the Splash Screen");
    }

    public void displayInformationScreen(Stage stage) {
        System.out.println("Display the Copyright Screen");
    }

    public void displayGameScreen(Stage stage) {
        System.out.println("Play game");
    }
}